// @generated by protoc-gen-connect-web v0.5.0
// @generated from file users/v1/users.proto (package users.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck

import { CreateUserRequest, CreateUserResponse, DeleteUserRequest, DeleteUserResponse, GetUserRequest, GetUserResponse, ListUsersRequest, ListUsersResponse, OnUserEventsRequest, OnUserEventsResponse, UpdateUserRequest, UpdateUserResponse } from "./users_pb.js";
import { MethodKind } from "@bufbuild/protobuf";

/**
 * @generated from service users.v1.UserService
 */
export declare const UserService: {
  readonly typeName: "users.v1.UserService",
  readonly methods: {
    /**
     * @generated from rpc users.v1.UserService.OnUserEvents
     */
    readonly onUserEvents: {
      readonly name: "OnUserEvents",
      readonly I: typeof OnUserEventsRequest,
      readonly O: typeof OnUserEventsResponse,
      readonly kind: MethodKind.ServerStreaming,
    },
    /**
     * ListUsers is used to retrieve all the users that have been added
     *
     * @generated from rpc users.v1.UserService.ListUsers
     */
    readonly listUsers: {
      readonly name: "ListUsers",
      readonly I: typeof ListUsersRequest,
      readonly O: typeof ListUsersResponse,
      readonly kind: MethodKind.Unary,
    },
    /**
     * @generated from rpc users.v1.UserService.CreateUser
     */
    readonly createUser: {
      readonly name: "CreateUser",
      readonly I: typeof CreateUserRequest,
      readonly O: typeof CreateUserResponse,
      readonly kind: MethodKind.Unary,
    },
    /**
     * @generated from rpc users.v1.UserService.GetUser
     */
    readonly getUser: {
      readonly name: "GetUser",
      readonly I: typeof GetUserRequest,
      readonly O: typeof GetUserResponse,
      readonly kind: MethodKind.Unary,
    },
    /**
     * @generated from rpc users.v1.UserService.UpdateUser
     */
    readonly updateUser: {
      readonly name: "UpdateUser",
      readonly I: typeof UpdateUserRequest,
      readonly O: typeof UpdateUserResponse,
      readonly kind: MethodKind.Unary,
    },
    /**
     * @generated from rpc users.v1.UserService.DeleteUser
     */
    readonly deleteUser: {
      readonly name: "DeleteUser",
      readonly I: typeof DeleteUserRequest,
      readonly O: typeof DeleteUserResponse,
      readonly kind: MethodKind.Unary,
    },
  }
};

